// Need G4P library
import g4p_controls.*;
import processing.serial.*;

Serial serial;  // Serial object for communication

void setup() {
  size(300, 300);
  createGUI();
  
  // Establish serial communication with Arduino
  String portName = Serial.list()[0]; // Replace with the appropriate port name
  serial = new Serial(this, "COM5", 9600);
}

void draw() {
  background(150);
  // Place your drawing code here
}


void serialEvent(Serial port) {
  String message = port.readStringUntil('\n');
  if (message != null) {
    try {
      float temperature = Float.parseFloat(message.trim());
      textfield2.setText(temperature + "°C");
    } catch (NumberFormatException e) {
      println("Failed to parse temperature: " + message);
    }
  }
}
